Aprepro 5.0x

Classes | Functions | Variables
SEAMS::anonymous_namespace{apr_units.cc} Namespace Reference

## Classes
struct | unit_systems

## Functions
std::string & | comment ()
void | define_var (const char *name, double val, const char *label)
void | load_conversion (var_init *base, svar_init *label)

## Variables
constexpr double | LBF_TO_N = 4.4482216152605
constexpr double | PI = 3.141592653589793238462643
svar_init | si_label []
var_init | si []
svar_init | cgs_label []
var_init | cgs []
svar_init | cgs_ev_label []
var_init | cgs_ev []
svar_init | shock_label []
var_init | shock []
svar_init | swap_label []
var_init | swap []
svar_init | ft_lbf_s_label []
var_init | ft_lbf_s []
svar_init | ft_lbm_s_label []
var_init | ft_lbm_s []
svar_init | in_lbf_s_label []
var_init | in_lbf_s []
unit_systems | systems []

## Function Documentation

## ◆ comment()

std::string& SEAMS::anonymous_namespace{apr_units.cc}::comment | ( |  | ) |

## ◆ define_var()

void SEAMS::anonymous_namespace{apr_units.cc}::define_var | ( | const char * | name,
|  | double | val,
|  | const char * | label
| ) |  |

## ◆ load_conversion()

void SEAMS::anonymous_namespace{apr_units.cc}::load_conversion | ( | var_init * | base,
|  | svar_init * | label
| ) |  |

## Variable Documentation

## ◆ cgs

var_init SEAMS::anonymous_namespace{apr_units.cc}::cgs[]

Initial value:
=
{
{"m" , 100.},
{"sec" , 1.},
{"kg" , 1000.},
{"degK" , 1.},
{"rad" , 1.},
{nullptr, 0}
}

## ◆ cgs_ev

var_init SEAMS::anonymous_namespace{apr_units.cc}::cgs_ev[]

Initial value:
=
{
{"m" , 100.},
{"sec" , 1.},
{"kg" , 1000.},
{"degK" , 1./ 11604.5221},
{"rad" , 1.},
{nullptr, 0}
}

## ◆ cgs_ev_label

svar_init SEAMS::anonymous_namespace{apr_units.cc}::cgs_ev_label[]

Initial value:
=
{
{"tout", "second"},
{"lout", "cm"},
{"aout", "cm/sec^2"},
{"mout", "gram"},
{"fout", "dyne"},
{"vout", "cm/sec"},
{"Vout", "cm^3"},
{"dout", "g/cc"},
{"eout", "erg"},
{"Pout", "erg/sec"},
{"pout", "dyne/cm^2"},
{"Tout", "eV"},
{"Aout", "radian"},
{nullptr, nullptr}
}

## ◆ cgs_label

svar_init SEAMS::anonymous_namespace{apr_units.cc}::cgs_label[]

Initial value:
=
{
{"tout", "second"},
{"lout", "cm"},
{"aout", "cm/sec^2"},
{"mout", "gram"},
{"fout", "dyne"},
{"vout", "cm/sec"},
{"Vout", "cm^3"},
{"dout", "g/cc"},
{"eout", "erg"},
{"Pout", "erg/sec"},
{"pout", "dyne/cm^2"},
{"Tout", "degK"},
{"Aout", "radian"},
{nullptr, nullptr}
}

## ◆ ft_lbf_s

var_init SEAMS::anonymous_namespace{apr_units.cc}::ft_lbf_s[]

Initial value:
=
{
{"m" , 1./.3048},
{"sec" , 1.},
{"kg" , 1/4.5359237e-1/(9.806650/.3048)},
{"degK" , 1.8},
{"rad" , 1.},
{nullptr, 0}
}

## ◆ ft_lbf_s_label

svar_init SEAMS::anonymous_namespace{apr_units.cc}::ft_lbf_s_label[]

Initial value:
=
{
{"tout", "second"},
{"lout", "foot"},
{"aout", "ft/sec^2"},
{"mout", "slug"},
{"fout", "lbf"},
{"vout", "ft/sec"},
{"Vout", "ft^3"},
{"dout", "slug/ft^3"},
{"eout", "ft-lbf"},
{"Pout", "ft-lbf/sec"},
{"pout", "lbf/ft^2"},
{"Tout", "degR"},
{"Aout", "radian"},
{nullptr, nullptr}
}

## ◆ ft_lbm_s

var_init SEAMS::anonymous_namespace{apr_units.cc}::ft_lbm_s[]

Initial value:
=
{
{"m" , 1./.3048},
{"sec" , 1.},
{"kg" , 1/.45359237},
{"degK" , 1.8},
{"rad" , 1.},
{nullptr, 0}
}

## ◆ ft_lbm_s_label

svar_init SEAMS::anonymous_namespace{apr_units.cc}::ft_lbm_s_label[]

Initial value:
=
{
{"tout", "second"},
{"lout", "foot"},
{"aout", "ft/sec^2"},
{"mout", "lbm"},
{"fout", "poundal"},
{"vout", "ft/sec"},
{"Vout", "ft^3"},
{"dout", "lbm/ft^3"},
{"eout", "ft-poundal"},
{"Pout", "ft-poundal/sec"},
{"pout", "poundal/ft^2"},
{"Tout", "degR"},
{"Aout", "radian"},
{nullptr, nullptr}
}

## ◆ in_lbf_s

var_init SEAMS::anonymous_namespace{apr_units.cc}::in_lbf_s[]

Initial value:
=
{
{"m" , 1./2.54e-2},
{"sec" , 1.},
{"kg" , 1/4.5359237e-1/(9.806650/2.54e-2)},
{"degK" , 1.8},
{"rad" , 1.},
{nullptr, 0}
}

## ◆ in_lbf_s_label

svar_init SEAMS::anonymous_namespace{apr_units.cc}::in_lbf_s_label[]

Initial value:
=
{
{"tout", "second"},
{"lout", "inch"},
{"aout", "in/sec^2"},
{"mout", "lbf-sec^2/in"},
{"fout", "lbf"},
{"vout", "in/sec"},
{"Vout", "in^3"},
{"dout", "lbf-sec^2/in^4"},
{"eout", "inch-lbf"},
{"Pout", "inch-lbf/sec"},
{"pout", "psi"},
{"Tout", "degR"},
{"Aout", "radian"},
{nullptr, nullptr}
}

## ◆ LBF_TO_N

constexpr double SEAMS::anonymous_namespace{apr_units.cc}::LBF_TO_N = 4.4482216152605
| constexpr

## ◆ PI

constexpr double SEAMS::anonymous_namespace{apr_units.cc}::PI = 3.141592653589793238462643
| constexpr

## ◆ shock

var_init SEAMS::anonymous_namespace{apr_units.cc}::shock[]

Initial value:
=
{
{"m" , 100.},
{"sec" , 1.0e6},
{"kg" , 1000.},
{"degK" , 1.},
{"rad" , 1.},
{nullptr, 0}
}

## ◆ shock_label

svar_init SEAMS::anonymous_namespace{apr_units.cc}::shock_label[]

Initial value:
=
{
{"tout", "microsecond"},
{"lout", "cm"},
{"aout", "cm/usec^2"},
{"mout", "gram"},
{"fout", "g-cm/usec^2"},
{"vout", "cm/usec"},
{"Vout", "cm^3"},
{"dout", "g/cc"},
{"eout", "g-cm^2/usec^2"},
{"Pout", "g-cm^2/usec^3"},
{"pout", "Mbar"},
{"Tout", "degK"},
{"Aout", "radian"},
{nullptr, nullptr}
}

## ◆ si

var_init SEAMS::anonymous_namespace{apr_units.cc}::si[]

Initial value:
=
{
{"m" , 1.},
{"sec" , 1.},
{"kg" , 1.},
{"degK" , 1.},
{"rad" , 1.},
{nullptr, 0}
}

## ◆ si_label

svar_init SEAMS::anonymous_namespace{apr_units.cc}::si_label[]

Initial value:
=
{
{"tout", "second"},
{"lout", "meter"},
{"aout", "m/sec^2"},
{"mout", "kilogram"},
{"fout", "newton"},
{"vout", "meter/sec"},
{"Vout", "meter^3"},
{"dout", "kg/m^3"},
{"eout", "joule (Nm)"},
{"Pout", "watt (Nm/s)"},
{"pout", "Pa"},
{"Tout", "degK"},
{"Aout", "radian"},
{nullptr, nullptr}
}

## ◆ swap

var_init SEAMS::anonymous_namespace{apr_units.cc}::swap[]

Initial value:
=
{
{"m" , 1000.},
{"sec" , 1000000.},
{"kg" , 10000000.},
{"degK" , 1.},
{"rad" , 1.},
{nullptr, 0}
}

## ◆ swap_label

svar_init SEAMS::anonymous_namespace{apr_units.cc}::swap_label[]

Initial value:
=
{
{"tout", "microsecond"},
{"lout", "mm"},
{"aout", "mm/usec^2"},
{"mout", "(1e-4 gram)"},
{"fout", "(1e7 dyne)"},
{"vout", "mm/usec"},
{"Vout", "mm^3"},
{"dout", "(1e-1 g/cc)"},
{"eout", "Mega-erg"},
{"Pout", "Mega-erg/usec"},
{"pout", "kbar"},
{"Tout", "degK"},
{"Aout", "radian"},
{nullptr, nullptr}
}

## ◆ systems

unit_systems SEAMS::anonymous_namespace{apr_units.cc}::systems[]

Initial value:
=
{
{"si", si, si_label},
{"cgs", cgs, cgs_label},
{"cgs-ev", cgs_ev, cgs_ev_label},
{"shock", shock, shock_label},
{"swap", swap, swap_label},
{"ft-lbf-s", ft_lbf_s, ft_lbf_s_label},
{"ft-lbm-s", ft_lbm_s, ft_lbm_s_label},
{"in-lbf-s", in_lbf_s, in_lbf_s_label},
{nullptr, nullptr, nullptr}
}
SEAMS::anonymous_namespace{apr_units.cc}::si
var_init si[]
Definition: apr_units.cc:90
SEAMS::anonymous_namespace{apr_units.cc}::shock
var_init shock[]
Definition: apr_units.cc:180
SEAMS::anonymous_namespace{apr_units.cc}::ft_lbf_s_label
svar_init ft_lbf_s_label[]
Definition: apr_units.cc:222
SEAMS::anonymous_namespace{apr_units.cc}::shock_label
svar_init shock_label[]
Definition: apr_units.cc:162
SEAMS::anonymous_namespace{apr_units.cc}::cgs_ev_label
svar_init cgs_ev_label[]
Definition: apr_units.cc:132
SEAMS::anonymous_namespace{apr_units.cc}::si_label
svar_init si_label[]
Definition: apr_units.cc:72
SEAMS::anonymous_namespace{apr_units.cc}::swap_label
svar_init swap_label[]
Definition: apr_units.cc:192
SEAMS::anonymous_namespace{apr_units.cc}::cgs_label
svar_init cgs_label[]
Definition: apr_units.cc:102
SEAMS::anonymous_namespace{apr_units.cc}::ft_lbm_s
var_init ft_lbm_s[]
Definition: apr_units.cc:271
SEAMS::anonymous_namespace{apr_units.cc}::swap
var_init swap[]
Definition: apr_units.cc:210
SEAMS::anonymous_namespace{apr_units.cc}::in_lbf_s
var_init in_lbf_s[]
Definition: apr_units.cc:301
SEAMS::anonymous_namespace{apr_units.cc}::ft_lbf_s
var_init ft_lbf_s[]
Definition: apr_units.cc:240
SEAMS::anonymous_namespace{apr_units.cc}::cgs_ev
var_init cgs_ev[]
Definition: apr_units.cc:150
SEAMS::anonymous_namespace{apr_units.cc}::in_lbf_s_label
svar_init in_lbf_s_label[]
Definition: apr_units.cc:283
SEAMS::anonymous_namespace{apr_units.cc}::cgs
var_init cgs[]
Definition: apr_units.cc:120
SEAMS::anonymous_namespace{apr_units.cc}::ft_lbm_s_label
svar_init ft_lbm_s_label[]
Definition: apr_units.cc:253